# XmToggleButton

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmToggleButton - Motif-compatible toggle-button widget

## SYNOPSIS

#include <Xm/ToggleB.h>

XmToggleButton

XmCreateToggleButton

## DESCRIPTION

XmToggleButton

## X RESOURCES

Name | Class | Type | Default | Access

XmNindicatorSize | XmCIndicatorSize | VerticalDimension | NULL | CSG
XmNindicatorType | XmCIndicatorType | IndicatorType | NULL | CSG
XmNvisibleWhenOff | XmCVisibleWhenOff | Boolean | NULL | CSG
XmNspacing | XmCSpacing | HorizontalDimension | NULL | CSG
XmNselectPixmap | XmCSelectPixmap | PrimForegroundPixmap | NULL | CSG
XmNselectInsensitivePixmap | XmCSelectInsensitivePixmap | PrimForegroundPixmap | NULL | CSG
XmNset | XmCSet | Boolean | NULL | CSG
XmNindicatorOn | XmCIndicatorOn | Boolean | NULL | CSG
XmNfillOnSelect | XmCFillOnSelect | Boolean | NULL | CSG
XmNselectColor | XmCSelectColor | Pixel | NULL | CSG
XmNvalueChangedCallback | XmCValueChangedCallback | Callback | NULL | CSG
XmNarmCallback | XmCArmCallback | Callback | NULL | CSG
XmNdisarmCallback | XmCDisarmCallback | Callback | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG

XmNindicatorSize

XmNindicatorType

XmNvisibleWhenOff

XmNspacing

XmNselectPixmap

XmNselectInsensitivePixmap

XmNset

XmNindicatorOn

XmNfillOnSelect

XmNselectColor

XmNvalueChangedCallback

XmNarmCallback

XmNdisarmCallback

XmNtraversalOn

XmNhighlightThickness

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) XmPrimitive(3) XmLabel(3) XmToggleButton(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.